<template>
    <div class="bottom">
        <!-- <a v-on:click='screenshot()'>
            <icon-base name='CAMERA' />
        </a>
        <div v-html="screenshots">
        </div> -->
        <div
            v-bind:key="key" 
            v-for="(value, key) in Object.keys(map.paths)"
        >
            {{ value }} has {{ map.paths[value] }} is {{ typeof map.paths[value] }}
        </div>
        <!-- {{ map.mapStyle }} -->

        <!-- https://developer.mozilla.org/fr/docs/Web/JavaScript/Reference/Objets_globaux/Array/isArray -->
        <!-- https://stackoverflow.com/questions/37300338/how-can-i-convert-a-typescript-object-to-a-plain-object -->
        <!-- https://github.com/WebReflection/circular-json -->
        
    </div>
</template>

<script lang='ts'>
    import { Component, Vue } from 'vue-property-decorator';
    import { State } from 'vuex-class';
    import IconBase from './IconBase.vue';

    import { Line } from '@/ts/line';
    import { Point } from '@/ts/point';
    import { Mapview } from '@/ts/mapview';
    import { Path } from '@/ts/path';
    import { Folder } from '@/ts/folder';

    @Component({
        components: {
            IconBase,
        },
    })
    export default class Screeshots extends Vue {
        @State('map') private map!: Mapview;

        private screenshots: string = '';

        private screenshot(): void {
            if (this.map._mapboxMap) {
                const CANVAS: string = this.map._mapboxMap.getCanvas().toDataURL();
                this.screenshots += '<img src="' + CANVAS + '"/>';
            }
        }
    }
</script>

<style scoped>
    .bottom {
        position: fixed;
        z-index: 30;
        /* bottom: 0; */
        top: 500;
        left: 0;
        margin: 5vh 10vw;
        padding: 1vw 1vw;
        max-height: 5vw;
        background-color: white;
        border-radius: 100px;
    }

    img {
        max-width:100%;
        max-height:100%;
        object-fit: contain;
    }
</style>

